HttpFileSystemConfBuilderPatched (The Data Transfer Agent Service 2.1.0-3.10.1 API)
Date: 2016-03-03

org.gcube.datatransfer.agent.impl.vfs

## Class HttpFileSystemConfBuilderPatched

- java.lang.Object
- - org.apache.commons.vfs2.FileSystemConfigBuilder
  - - org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder
    - - org.gcube.datatransfer.agent.impl.vfs.HttpFileSystemConfBuilderPatched

-     public final class HttpFileSystemConfBuilderPatched
      extends org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder

  Patched version declaring timeout
  Author:
    andrea

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HttpFileSystemConfBuilderPatched()`
    `protected` | `HttpFileSystemConfBuilderPatched(String prefix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpFileSystemConfBuilderPatched` | `getInstance()`
    `int` | `getTimeout(org.apache.commons.vfs2.FileSystemOptions opts)`
    `void` | `setTimeout(org.apache.commons.vfs2.FileSystemOptions opts, int timeout)`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder

      `getConfigClass, getCookies, getMaxConnectionsPerHost, getMaxTotalConnections, getProxyAuthenticator, getProxyHost, getProxyPort, getUrlCharset, isPreemptiveAuth, setCookies, setMaxConnectionsPerHost, setMaxTotalConnections, setPreemptiveAuth, setProxyAuthenticator, setProxyHost, setProxyPort, setUrlCharset`

    - ### Methods inherited from class org.apache.commons.vfs2.FileSystemConfigBuilder

      `getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getCharacter, getCharacter, getCharacter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInteger, getInteger, getInteger, getLong, getLong, getLong, getParam, getRootURI, getShort, getShort, getShort, getString, getString, hasObject, hasParam, setParam, setRootURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpFileSystemConfBuilderPatched

          protected HttpFileSystemConfBuilderPatched(String prefix)

    - #### HttpFileSystemConfBuilderPatched

          protected HttpFileSystemConfBuilderPatched()

  - ### Method Detail

    - #### getInstance

          public static HttpFileSystemConfBuilderPatched getInstance()

    - #### setTimeout

          public void setTimeout(org.apache.commons.vfs2.FileSystemOptions opts,
                        int timeout)

    - #### getTimeout

          public int getTimeout(org.apache.commons.vfs2.FileSystemOptions opts)

Copyright © 2016. All Rights Reserved.